cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/invoices/INV-0001/item_fulfillments/ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.invoices.get_invoice_item_fulfillment(
"INV-0001", "ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.invoices.getInvoiceItemFulfillment('INV-0001', 'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->invoices->getInvoiceItemFulfillment(
'INV-0001',
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.item_fulfillments.item_fulfillments_dto.ItemFulfillmentsDto.ItemFulfillmentRead;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ItemFulfillmentRead> response = client.invoices().getInvoiceItemFulfillment(
"INV-0001",
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Invoices.GetInvoiceItemFulfillmentAsync(
"INV-0001",
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.invoices.getInvoiceItemFulfillment(
'INV-0001',
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Invoices().GetInvoiceItemFulfillment(context.Background(), "INV-0001", "ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"item_fulfillment": {
"account": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"custom_attributes": {},
"delivery_status": "<unknown>",
"fulfillment_completed": true,
"fulfillment_date": "<string>",
"fulfillment_note": "<string>",
"fulfillment_status": "<string>",
"fulfillments": [
{
"fulfillment_index": 123,
"fulfillment_qty": 123,
"fulfillment_sent_qty": 123,
"id": "<string>",
"inventory_tracking": "<unknown>",
"item": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"object": "<string>",
"pending_return": 123,
"returned": 123,
"serving_status": "<string>",
"uom": "<string>",
"uom_precision": 123
}
],
"href": "<string>",
"id": "<string>",
"invoice": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"order": "<unknown>",
"status": "<string>",
"tracking_number": "<string>",
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Invoices
Retrieve an invoice's item fulfillment
Returns one item fulfillment recorded against an invoice.
GET
/
invoices
/
{invoice_id}
/
item_fulfillments
/
{fulfillment_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/invoices/INV-0001/item_fulfillments/ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.invoices.get_invoice_item_fulfillment(
"INV-0001", "ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.invoices.getInvoiceItemFulfillment('INV-0001', 'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->invoices->getInvoiceItemFulfillment(
'INV-0001',
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.item_fulfillments.item_fulfillments_dto.ItemFulfillmentsDto.ItemFulfillmentRead;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ItemFulfillmentRead> response = client.invoices().getInvoiceItemFulfillment(
"INV-0001",
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Invoices.GetInvoiceItemFulfillmentAsync(
"INV-0001",
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.invoices.getInvoiceItemFulfillment(
'INV-0001',
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Invoices().GetInvoiceItemFulfillment(context.Background(), "INV-0001", "ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"item_fulfillment": {
"account": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"custom_attributes": {},
"delivery_status": "<unknown>",
"fulfillment_completed": true,
"fulfillment_date": "<string>",
"fulfillment_note": "<string>",
"fulfillment_status": "<string>",
"fulfillments": [
{
"fulfillment_index": 123,
"fulfillment_qty": 123,
"fulfillment_sent_qty": 123,
"id": "<string>",
"inventory_tracking": "<unknown>",
"item": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"object": "<string>",
"pending_return": 123,
"returned": 123,
"serving_status": "<string>",
"uom": "<string>",
"uom_precision": 123
}
],
"href": "<string>",
"id": "<string>",
"invoice": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"order": "<unknown>",
"status": "<string>",
"tracking_number": "<string>",
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Fetches a single fulfillment of the invoice. A fulfillment that belongs to a different invoice returns
404.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The invoice's id, such as INV-0001. Not its uuid.
The item fulfillment's id, which starts with ifm_.
Response
The item fulfillment, under item_fulfillment.
Show child attributes
Show child attributes